\name{DCCfilter-class}
\docType{class}
\alias{DCCfilter-class}
\alias{coef,DCCfilter-method}
\alias{plot,DCCfilter,missing-method}
\alias{likelihood,DCCfilter-method}
\alias{infocriteria,DCCfilter-method}
\alias{rshape,DCCfilter-method}
\alias{rskew,DCCfilter-method}
\alias{fitted,DCCfilter-method}
\alias{rcor,DCCfilter-method}
\alias{rcov,DCCfilter-method}
\alias{show,DCCfilter-method}
\alias{sigma,DCCfilter-method}

\title{class: DCC Filter Class}
\description{
The class is returned by calling the function \code{\link{dccfilter}}.
}
\section{Slots}{
  \describe{
    \item{\code{mfilter}:}{Object of class \code{"vector"}.}
    \item{\code{ufilter}:}{Object of class \code{\linkS4class{uGARCHmultifilter}} }
  }
}
\section{Extends}{
Class \code{"\linkS4class{mGARCHfilter}"}, directly.
Class \code{"\linkS4class{GARCHfilter}"}, by class "mGARCHfilter", distance 2.
Class \code{"\linkS4class{rGARCH}"}, by class "mGARCHfilter", distance 3.
}
\section{Methods}{
  \describe{
    \item{coef}{\code{signature(object = "DCCfilter")} coefficient vector (see note). }
    \item{likelihood}{\code{signature(object = "DCCfilter")}: extracts the likelihood. }
    \item{rshape}{\code{signature(object = "DCCfilter")}: multivariate distribution shape vector.}
    \item{rskew}{\code{signature(object = "DCCfilter")}: multivariate distribution skew vector. }
    \item{fitted}{\code{signature(object = "DCCfilter")}: filtered data matrix.}
    \item{plot}{\code{signature(x = "DCCfilter", y = "missing")}: plot method, given additional arguments
    \sQuote{series} and \sQuote{which}.}
    \item{infocriteria}{\code{signature(object = "DCCfilter")}: calculates and returns various 
    information criteria. }
    \item{rcor}{\code{signature(object = "DCCfilter")}: Dynamic Conditional Correlation Array. }
    \item{rcov}{\code{signature(object = "DCCfilter")}: Dynamic Conditional Covariance Array. }
    \item{show}{\code{signature(object = "DCCfilter")}: summary. }
    \item{sigma}{\code{signature(object = "DCCfilter")}: univariate conditional sigma matrix. }
	 }
}
\references{
Engle, R.F. and Sheppard, K. \emph{Theoretical and empirical properties of dynamic conditional 
correlation multivariate GARCH}, 2001, NBER Working Paper.\cr
}
\note{
The \sQuote{coef} method takes additional argument \sQuote{type} with valid values \sQuote{garch}
for the garch parameters, \sQuote{dcc} for the dcc parameters and by default returns all the parameters
in a named vector.
}
\author{Alexios Ghalanos}
\keyword{classes}
