\name{DCCforecast-class}
\docType{class}
\alias{DCCforecast-class}
\alias{rshape,DCCforecast-method}
\alias{rskew,DCCforecast-method}
\alias{fitted,DCCforecast-method}
\alias{plot,DCCforecast,missing-method}
\alias{rcor,DCCforecast-method}
\alias{rcov,DCCforecast-method}
\alias{sigma,DCCforecast-method}
\alias{show,DCCforecast-method}

\title{class: DCC Forecast Class}
\description{
The class is returned by calling the function \code{\link{dccforecast}}.
}
\section{Slots}{
  \describe{
    \item{\code{mforecast}:}{Object of class \code{"vector"} - multivariate forecast }
    \item{\code{uforecast}:}{Object of class \code{\linkS4class{uGARCHmultiforecast}}}
  }
}
\section{Extends}{
Class \code{"\linkS4class{mGARCHforecast}"}, directly.
Class \code{"\linkS4class{GARCHforecast}"}, by class "mGARCHforecast", distance 2.
Class \code{"\linkS4class{rGARCH}"}, by class "mGARCHforecast", distance 3.
}

\section{Methods}{
  \describe{
    \item{rshape}{\code{signature(object = "DCCforecast")}: multivariate distribution shape vector.}
    \item{rskew}{\code{signature(object = "DCCforecast")}: multivariate distribution skew vector. }
    \item{fitted}{\code{signature(object = "DCCforecast")}: forecast data matrix.}
     \item{plot}{\code{signature(x = "DCCforecast", y = "missing")}: plot method, given additional arguments
    \sQuote{series} and \sQuote{which}.}
    \item{rcor}{\code{signature(object = "DCCforecast")}: Dynamic Conditional Correlation Array. }
    \item{rcov}{\code{signature(object = "DCCforecast")}: Dynamic Conditional Covariance Array. }
    \item{show}{\code{signature(object = "DCCforecast")}: summary. }
    \item{sigma}{\code{signature(object = "DCCforecast")}: univariate forecast sigma matrix.}
    \item{show}{\code{signature(object = "DCCforecast")}: summary. }
	 }
}
\references{
Engle, R.F. and Sheppard, K. \emph{Theoretical and empirical properties of dynamic conditional 
correlation multivariate GARCH}, 2001, NBER Working Paper.\cr
}
\author{Alexios Ghalanos}
\keyword{classes}