\name{DCCroll-class}
\docType{class}
\alias{DCCroll-class}
\alias{coef,DCCroll-method}
\alias{fitted,DCCroll-method}
\alias{likelihood,DCCroll-method}
\alias{plot,DCCroll,missing-method}
\alias{rcor,DCCroll-method}
\alias{rcov,DCCroll-method}
\alias{rshape,DCCroll-method}
\alias{rskew,DCCroll-method}
\alias{show,DCCroll-method}
\alias{sigma,DCCroll-method}

\title{class: DCC Roll Class}
\description{
The class is returned by calling the function \code{\link{dccroll}}.
}
\section{Slots}{
  \describe{
    \item{\code{forecast}:}{Object of class \code{"vector"} List of \code{\linkS4class{DCCforecast}} objects, one
    for each rolling estimation.}
    \item{\code{spec}:}{Object of class \code{"vector"} Details on the roll object.}
  }
}
\section{Extends}{
Class \code{"\linkS4class{mGARCHroll}"}, directly.
Class \code{"\linkS4class{GARCHroll}"}, by class "mGARCHroll", distance 2.
Class \code{"\linkS4class{rGARCH}"}, by class "mGARCHroll", distance 3.
}
\section{Methods}{
  \describe{
    \item{coef}{\code{signature(object = "DCCroll")}: coefficient matrix across rolling estimations. }
    \item{fitted}{\code{signature(object = "DCCroll")}: forecast data matrix, given additional argument 
    \sQuote{roll} denoting the roll estimation to return values for. }
    \item{likelihood}{\code{signature(object = "DCCroll")}: extracts the likelihoods across rolling estimations.}
    \item{plot}{\code{signature(x = "DCCroll", y = "missing")}: plot method, given additional arguments
    \sQuote{series}, \sQuote{which} and \sQuote{roll}.}
    \item{rcor}{\code{signature(object = "DCCroll")}: Dynamic Conditional Correlation Array, given
    additional arguments \sQuote{roll} and \sQuote{type}.}
    \item{rcov}{\code{signature(object = "DCCroll")}: Dynamic Conditional Covariance Array, given
    additional argument \sQuote{roll}.}
     \item{rshape}{\code{signature(object = "DCCfit")}: multivariate distribution shape vector or matrix
     across rolling estimations.}
    \item{rskew}{\code{signature(object = "DCCfit")}: multivariate skew vector or matrix
     across rolling estimations.}
    \item{show}{\code{signature(object = "DCCroll")}: summary. }
    \item{sigma}{\code{signature(object = "DCCroll")}: univariate forecast sigma matrix given
    additional argument \sQuote{roll}.}
	 }
}
\references{
Engle, R.F. and Sheppard, K. \emph{Theoretical and empirical properties of dynamic conditional 
correlation multivariate GARCH}, 2001, NBER Working Paper.\cr
}
\author{Alexios Ghalanos}
\note{
The \code{\linkS4class{DCCroll}} object contains slots \sQuote{forecast} and \sQuote{spec}. The former is a 
list of class \code{\linkS4class{DCCforecast}}, one for each rolling estimation. Methods on this object
usually require the additional argument \sQuote{roll} to return a value for the specific rolling estimation 
and it is upto the user to combine the results to form one large forecast. The \sQuote{spec} slot contains
some additional information about the roll object passed on to other methods.
}
\keyword{classes}
