\name{cGARCHfilter-class}
\docType{class}
\alias{cGARCHfilter-class}
\alias{coef,cGARCHfilter-method}
\alias{fitted,cGARCHfilter-method}
\alias{likelihood,cGARCHfilter-method}
\alias{rcor,cGARCHfilter-method}
\alias{rcov,cGARCHfilter-method}
\alias{residuals,cGARCHfilter-method}
\alias{show,cGARCHfilter-method}
\alias{sigma,cGARCHfilter-method}
\title{class: Copula Filter Class}
\description{
The class is returned by calling the function \code{\link{cgarchfilter}}.
}
\section{Slots}{
  \describe{
    \item{\code{mfilter}:}{Object of class \code{"vector"} multivariate filter list }
    \item{\code{mspec}:}{Object of class \code{"vector"} multivariate spec list. }
    \item{\code{uspec}:}{Object of class \code{"uGARCHmultispec"} univariate multispec. }
    \item{\code{copula}:}{Object of class \code{"vector"} copula details list. }
    \item{\code{model}:}{Object of class \code{"vector"} model specification list. }
  }
}
\section{Extends}{
Class \code{"\linkS4class{mGARCHfilter}"}, directly.
Class \code{"\linkS4class{GARCHfilter}"}, by class "mGARCHfilter", distance 2.
Class \code{"\linkS4class{rGARCH}"}, by class "mGARCHfilter", distance 3.
}
\section{Methods}{
  \describe{
    \item{coef}{\code{signature(object = "cGARCHfilter")}: coefficient vector (see note). }
    \item{fitted}{\code{signature(object = "cGARCHfilter")}:  filtered data matrix. }
    \item{likelihood}{\code{signature(object = "cGARCHfilter")}: extracts the joint likelihood. }
    \item{rcor}{\code{signature(object = "cGARCHfilter")}: extracts the correlation. }
    \item{rcov}{\code{signature(object = "cGARCHfilter")}: extracts the covariance. }
    \item{residuals}{\code{signature(object = "cGARCHfilter")}: residuals data matrix. }
    \item{show}{\code{signature(object = "cGARCHfilter")}: summary. }
    \item{sigma}{\code{signature(object = "cGARCHfilter")}: univariate conditional sigma matrix. }
	 }
}
\references{
Joe, H. \emph{Multivariate Models and Dependence Concepts}, 1997, Chapman \& Hall, London.\cr
Genest, C., Ghoudi, K. and Rivest, L. \emph{A semiparametric estimation procedure of dependence
parameters in multivariate families of distributions}, 1995, Biometrika, 82, 543-552.\cr
}
\author{Alexios Ghalanos}
\note{
The \sQuote{coef} method takes additional argument \sQuote{type} with valid values \sQuote{garch}
for the garch parameters, \sQuote{st} for the second stage parameters and by default returns all 
the parameters in a named vector.
}
\keyword{classes}
