\name{goGARCHspec-class}
\docType{class}
\alias{goGARCHspec-class}
\alias{show,goGARCHspec-method}
\title{class: GO-GARCH Specification Class}
\description{Class for the GO-GARCH specification.}
\section{Objects from the Class}{
The class is returned by calling the function \code{\linkS4class{goGARCHspec}}.
}
\section{Slots}{
  \describe{
    \item{\code{mspec}:}{Multivariate specification.}
    \item{\code{uspec}:}{Univariate GARCH specification object of class \code{"uGARCHspec"}.}
  }
}
\section{Extends}{
Class \code{"\linkS4class{mGARCHspec}"}, directly.
Class \code{"\linkS4class{GARCHspec}"}, by class "mGARCHspec", distance 2.
Class \code{"\linkS4class{rGARCH}"}, by class "mGARCHspec", distance 3.
}
\section{Methods}{
  \describe{
\item{show}{\code{signature(object = "goGARCHspec")}: Summary method for the spec object. }
}
}
\references{
van der Weide, R. \emph{GO-GARCH: a multivariate generalized orthogonal GARCH model}, 2002, 
Journal of Applied Econometrics, pages 549-564.\cr
Zhang, K. and Chan, L. \emph{Efficient factor GARCH models and factor-DCC models}, 2009, 
Quantitative Finance, pages 71-91.\cr
Broda, S.A. and Paolella, M.S. \emph{CHICAGO: A Fast and Accurate Method for Portfolio Risk Calculation},
2009, Journal of Financial Econometrics, pages 412-436.\cr
}
\author{Alexios Ghalanos}
\note{
The mixing matrix in the GO-GARCH model implemented in the rgarch package is based on non-parametric
independent component analysis (ICA) methodology. The estimation is a 2-stage methodology described in 
both Broda and Paolella (2009) and Zhang and Chan (2009).
}
\keyword{classes}
