\name{gogarchfilter-methods}
\docType{methods}
\alias{gogarchfilter}
\alias{gogarchfilter,ANY-method}
\alias{gogarchfilter,goGARCHfit-method}
\title{function: GO-GARCH Fitting}
\description{
Method for fitting the GO-GARCH model.
}
\usage{
gogarchfilter(fit, data, out.sample = 0, n.old = NULL, parallel = FALSE, 
parallel.control = list(pkg = c("multicore", "snowfall"), cores = 2), ...) 
}
\arguments{
\item{fit}{ A GO-GARCH fit object of class \code{\linkS4class{goGARCHfit}}.}
\item{data}{ A multivariate data object. Can be a matrix or data.frame or timeSeries.}
\item{out.sample}{ A positive integer indicating the number of periods before the last
to keep for out of sample forecasting.}
\item{n.old}{ For comparison with goGARCHfit models using the out.sample argument,
this is the length of the original dataset.}
\item{parallel}{ Whether to make use of parallel processing on multicore systems.}
\item{parallel.control}{ The parallel control options including the type of package for 
performing the parallel calculations (\sQuote{multicore} for non-windows O/S and 
\sQuote{snowfall} for all O/S), and the number of cores to make use of.}
\item{...}{.}
}
\value{
A \code{\linkS4class{goGARCHfilter}} object containing details of the GO-GARCH filter.
}
\author{Alexios Ghalanos}
\examples{
\dontrun{
data(dji30ret)
spec = gogarchspec()
fit = gogarchfit(spec = spec, data = dji30ret[,1:4], gfun = "tanh")
filter = gogarchfilter(fit, data = dji30ret[,1:4])
}}
\keyword{methods}
