\name{uGARCHspec-class}
\docType{class}
\alias{uGARCHspec-class}
\alias{uncmean,uGARCHspec-method}
\alias{uncvariance,uGARCHspec-method}
\alias{uncvariance,uGARCHspec,missing,missing,missing,missing-method}
\alias{show,uGARCHspec-method}
\title{class: Univariate GARCH Specification Class}
\description{Class for the univariate GARCH specification.}
\section{Extends}{
Class \code{"\linkS4class{GARCHspec}"}, directly.
Class \code{"\linkS4class{rGARCH}"}, by class "GARCHspec", distance 2.
}
\section{Methods}{
  \describe{
    \item{show}{\code{signature(object = "uGARCHspec")}: spec summary.}
    \item{uncmean}{\code{signature(object = "uGARCHspec")}: unconditional mean of model for a 
    specification with fixed.pars list.}
    \item{uncvariance}{\code{signature(object = "uGARCHspec")}: unconditional variance of model for a 
    specification with fixed.pars list.}
    \item{uncvariance}{\code{signature(object = "uGARCHfit", pars = "missing", distribution="missing", 
	model = "missing")}: calculates and returns the long run unconditional variance of the garch fit 
	given a \code{\linkS4class{uGARCHfit}} object.}
	}
}
\author{Alexios Ghalanos}
\seealso{
Classes \code{\linkS4class{uGARCHfit}}, \code{\linkS4class{uGARCHsim}} and 
\code{\linkS4class{uGARCHforecast}}.
}
\examples{
# Basic GARCH(1,1) Spec
spec = ugarchspec()
spec
}
\keyword{classes}