/*################################################################################
##
##   R package rgarch by Alexios Ghalanos Copyright (C) 2009, 2010, 2011
##   This file is part of the R package rgarch.
##
##   The R package rgarch is free software: you can redistribute it and/or modify
##   it under the terms of the GNU General Public License as published by
##   the Free Software Foundation, either version 3 of the License, or
##   (at your option) any later version.
##
##   The R package rgarch is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY; without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU General Public License for more details.
##
#################################################################################*/
#ifndef FILTERS_H
#define FILTERS_H

void sgarchfilter(double omega, double *alpha, double *beta, double *vexdata,
		double *vxreg, int incvex, int T, double *e, int i, int garchp,
		int garchq, double *h);

void gjrgarchfilter(double omega, double *alpha, double *gm, double *beta,
		double *vexdata, double *vxreg, int incvex, int T, double *e,
		double *nres, int i, int garchp, int garchq, double *h);

void aparchfilter(double omega, double *alpha, double *gm, double *beta,
		double delta, double *vexdata, double *vxreg, int incvex, int T,
		double *res, int i, int garchp, int garchq, double *h);

void egarchfilter(double omega, double *alpha, double meanz, double *gm,
		double *beta, double *z, double *vexdata, double *vxreg, int incvex, int T,
		int i, int garchp, int garchq, double *h);

void fgarchfilter(double omega, double *alpha, double *gamma1, double *gamma2, double kdelta,
		double *beta, double lambda, double *z, double *vexdata, double *vxreg,
		int incvex, int T, int i, int garchp, int garchq, double *h);
		
void arfimaxfilter(int armap, int armaq, int arfima, double im, int incmex,
		double mu, double *ar, double *ma, double inmean, double *mxreg, double *x,
		double *res, double *mexdata, double *zrf, double *constm, double *condm,
		double *h, int m, int i, int T);

void armaxsim(int *armap, int *armaq, double *constm, double *ar, double *ma, double *x,
		double *res, int *m, int *T);

#endif /* FILTERS_H */
